Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 816355 - rubygem-mail: arbitrary command execution when using exim or sendmail from commandline, file system traversal flaw [fedora-all]
Summary: rubygem-mail: arbitrary command execution when using exim or sendmail from co...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rubygem-mail
Version: 16
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Vít Ondruch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2012-2140 CVE-2012-2139
TreeView+ depends on / blocked
 
Reported: 2012-04-25 21:09 UTC by Vincent Danen
Modified: 2013-01-03 22:34 UTC (History)
2 users (show)

Fixed In Version: rubygem-mail-2.4.4-1.fc15
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-05-19 06:57:45 UTC
Type: ---


Attachments (Terms of Use)

Description Vincent Danen 2012-04-25 21:09:38 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include this bug ID and the
bug IDs of this bug's parent bugs filed against the "Security Response"
product (the top-level CVE bugs).  Please mention the CVE IDs being fixed
in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=816352

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.


[bug automatically created by: add-tracking-bugs]

Comment 1 Fedora Update System 2012-05-09 15:32:03 UTC
rubygem-mail-2.4.4-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/rubygem-mail-2.4.4-1.fc17

Comment 2 Fedora Update System 2012-05-09 15:48:54 UTC
rubygem-mail-2.4.4-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/rubygem-mail-2.4.4-1.fc16

Comment 3 Fedora Update System 2012-05-10 05:07:48 UTC
rubygem-mail-2.4.4-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/rubygem-mail-2.4.4-1.fc15

Comment 4 Fedora Update System 2012-05-11 10:30:22 UTC
Package rubygem-mail-2.4.4-1.fc15, rubygem-actionmailer-3.0.5-3.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing rubygem-mail-2.4.4-1.fc15 rubygem-actionmailer-3.0.5-3.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-7692/rubygem-actionmailer-3.0.5-3.fc15,rubygem-mail-2.4.4-1.fc15
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2012-05-19 06:57:45 UTC
rubygem-mail-2.4.4-1.fc15, rubygem-actionmailer-3.0.5-3.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2012-05-19 06:58:20 UTC
rubygem-mail-2.4.4-1.fc16, rubygem-actionmailer-3.0.10-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2012-05-26 06:47:23 UTC
rubygem-mail-2.4.4-1.fc17, rubygem-actionmailer-3.0.11-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.